JGraph X 1.4.0.9

## com.mxgraph.canvas
Interface mxICanvas

All Known Implementing Classes:
  mxBasicCanvas, mxGraphics2DCanvas, mxHtmlCanvas, mxImageCanvas, mxInteractiveCanvas, mxSvgCanvas, mxVmlCanvas

    public interface mxICanvas

Defines the requirements for a canvas that paints the vertices and edges of a graph.

Method Summary
`java.lang.Object` `drawCell(mxCellState state)` Draws the given cell.
`java.lang.Object` `drawLabel(java.lang.String text, mxCellState state, boolean html)` Draws the given label.
`double` `getScale()` Returns the scale.
`java.awt.Point` `getTranslate()` Returns the current translation.
`void` `setScale(double scale)` Sets the scale for the following drawing requests.
`void` `setTranslate(int x, int y)` Sets the translation for the following drawing requests.

Method Detail

### setTranslate

    void setTranslate(int x,
                      int y)

  Sets the translation for the following drawing requests.

### getTranslate

    java.awt.Point getTranslate()

  Returns the current translation.

  Returns:
    Returns the current translation.

### setScale

    void setScale(double scale)

  Sets the scale for the following drawing requests.

### getScale

    double getScale()

  Returns the scale.

### drawCell

    java.lang.Object drawCell(mxCellState state)

  Draws the given cell.

  Parameters:
    `state` - State of the cell to be painted.
  Returns:
    Object that represents the cell.

### drawLabel

    java.lang.Object drawLabel(java.lang.String text,
                               mxCellState state,
                               boolean html)

  Draws the given label.

  Parameters:
    `text` - String that represents the label.
    `state` - State of the cell whose label is to be painted.
    `html` - Specifies if the label contains HTML markup.
  Returns:
    Object that represents the label.

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.